﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GroupHealth : MonoBehaviour
{
	[SerializeField]
	private int m_health = 10;

	[System.Serializable]
	public class ObstacleDamage
	{
		public ObstacleType m_obstacleType;
		public int m_damageHit = 0;
	}
	
	[SerializeField]
	private ObstacleDamage[] m_obstaclesDamage;

	private GroupVisual m_groupVisual;


	// Use this for initialization
	void Start()
	{
		enabled = false;

		// Get the visual object
		m_groupVisual = GetComponent<GroupVisual>();
		if (m_groupVisual != null)
		{
			m_groupVisual.SetStudientCount(m_health);
		}
	}

	// Update is called once per frame
	void Update()
	{

	}

	public void TakeDamageFromObstacle(GroupPathObstacle obstacle)
	{
		int damage = 0;
		foreach(ObstacleDamage obstacleDamage in m_obstaclesDamage)
		{
			if (obstacleDamage.m_obstacleType == obstacle.m_obstacleType)
			{
				damage = obstacleDamage.m_damageHit;
				break;
			}
		}
		System.Diagnostics.Debug.Assert(damage > 0); //NOTE: maybe missing an obstacle damage for a specific obstacle type

		if (damage < m_health)
		{
			m_health -= damage;
		}
		else
		{
			m_health = 0;
		}

		// Uodate the group visual
		if (m_groupVisual != null)
		{
			m_groupVisual.SetStudientCount(m_health);
		}
	}

	public bool IsStillAlive()
	{
		return (m_health > 0);
	}
}