﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class GroupInventory : MonoBehaviour
{
	private List<ObjectUseable> m_useableObjects = null;

	// Use this for initialization
	void Start()
	{
		m_useableObjects = new List<ObjectUseable>();

		enabled = false;
	}

	// Update is called once per frame
	void Update()
	{

	}

	public void PickupObject(GameObject pickedupObject)
	{
		ObjectUseable useableObject = pickedupObject.GetComponent<ObjectUseable>();
		System.Diagnostics.Debug.Assert(useableObject != null);

		m_useableObjects.Add(useableObject);
	}

	public bool hasObjectAgainstObstacle(GroupPathObstacle obstacle)
	{
		bool hasObject = false;
		foreach(ObjectUseable useable in m_useableObjects)
		{
			if (useable.canBeUsedAgainst(obstacle))
			{
				hasObject = true;
				break;
			}
		}

		return hasObject;
	}
}