﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class RoomConnection : MonoBehaviour {

	// Rooms connected
	private List<Transform> m_rooms;

	// Use this for initialization
	void Start () {
		m_rooms = new List<Transform>();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnTriggerEnter2D(Collider2D other)
	{
		// check the if it is a room
		if (other.tag != "RoomTag")
			return;

		// Check if the room is already referenced
		if (m_rooms.Contains(other.transform))
			return;

		// Add room
		m_rooms.Add(other.transform);

		Debug.Log("Room " + other.name + " added to connection " + this.name);
	}

	public bool IsConnectingRooms(Room r1, Room r2)
	{
		return m_rooms.Contains(r1.transform) && m_rooms.Contains(r2.transform);
	}
}
